package net.sevecek.jednoduchawebapp;

import java.io.*;
import java.util.*;
import javax.servlet.http.*;
import org.springframework.stereotype.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.*;

@Controller
public class HlavniController {

    @RequestMapping("/ukazka.html")
    @ResponseBody
    public String zobrazUkazka() {
        double nahodneCislo = Math.random();
        double nahodneHozeno = nahodneCislo * 6 + 1;
        int hozenoNaKostceCislo = (int) nahodneHozeno;
        Integer hozenoNaKostce = new Integer(hozenoNaKostceCislo);
        return "<html><body><h1>Ahoj, hodil jsem " + hozenoNaKostce +"</h1></body></html>";
    }

    @RequestMapping("/vyrok.html")
    @ResponseBody
    public String zobrazNahodnyVyrok() {
        return "<html><head><meta charset=\"utf-8\"></head><body><h2>Mozek je úžasný orgán. Začne pracovat hned " +
                "po probuzení a neskončí, dokud nedojdu do práce</h2></body></html>";
    }

    List<String> vyroky = Arrays.asList(
            "Když jsem přijížděl domů, vjel jsem omylem do jiného dvora a naboural do stromu, protože ho doma na tomto místě nemám.",
            "To druhé auto do mne nabouralo bez jakéhokoliv předchozího varování.",
            "Myslel jsem, že mám stažené okénko. Zjistil jsem ale, že je zavřené, když jsem vystrčil ruku ven.",
            "Srazil jsem se se stojícím nákladním automobilem, když přijížděl z opačného směru.",
            "Ten dědula, kterého jsem porazil, by se na druhou stranu silnice stejně nedostal.",
            "Chodec do mne narazil a pak mi skočil pod auto.",
            "Ten chodec váhal, kterým směrem se má vydat, tak jsem ho přejel.");

    @RequestMapping("/vyrok2.html")
    @ResponseBody
    public String zobrazNahodnyVyrok2() {
        Integer cisloVyroku = (int)(Math.random() * vyroky.size());
        String veta = vyroky.get(cisloVyroku);
        return "<html><head><meta charset=\"utf-8\"></head><body><h2>"+veta+"</h2></body></html>";
    }


}
